//----------------------------------------------------------------------------
// some convenience functions, types, and constants for mazerunner
// copyright 2010 christopher rasmussen
// v. 1.01
// * took out old commented code
// * changed wall color to white, added cyan and purple

//----------------------------------------------------------------------------

#include "Utils.hh"

//----------------------------------------------------------------------------

// get ready to draw with ncurses library

void init_ncurses()
{
  initscr();

  // comment this out to default to no colors

  if (has_colors()) {

    start_color();

    init_pair(WALL_COLOR, COLOR_BLACK, COLOR_WHITE);     // white background

    init_pair(YELLOW_COLOR, COLOR_YELLOW, COLOR_BLACK);
    init_pair(WHITE_COLOR, COLOR_WHITE, COLOR_BLACK);
    init_pair(BLUE_COLOR, COLOR_BLUE, COLOR_BLACK);
    init_pair(GREEN_COLOR, COLOR_GREEN, COLOR_BLACK);
    init_pair(RED_COLOR, COLOR_RED, COLOR_BLACK);
    init_pair(CYAN_COLOR, COLOR_CYAN, COLOR_BLACK);
    init_pair(PURPLE_COLOR, COLOR_MAGENTA, COLOR_BLACK);
  }

  raw();
  noecho();
  curs_set(0);   // make cursor invisible
}

//----------------------------------------------------------------------------

// get out of ncurses mode so terminal is not screwed up when program exits

void terminate_ncurses()
{
  endwin();
}

//----------------------------------------------------------------------------
//----------------------------------------------------------------------------
