#ifndef UTILS_HH
#define UTILS_HH

//----------------------------------------------------------------------------
// some convenience functions, types, and constants for mazerunner
// copyright 2010 christopher rasmussen
// v. 1.01 
// * took out old commented code

//----------------------------------------------------------------------------

#include <iostream>
#include <cstdlib>
#include <time.h>
#include <ncurses.h>
#include <queue>
#include <string>
#include <sstream>
#include <map>
#include <cmath>

using namespace std;

//----------------------------------------------------------------------------

struct Point_2D
{
  Point_2D() { row = col = 0; }
  Point_2D(int r, int c) { row = r; col = c; }

  union {
    int x;
    int col;
  };
  union {
    int y;
    int row;
  };
};

//----------------------------------------------------------------------------


void init_ncurses();
void terminate_ncurses();

// these are referring to agents--the wall color is "special"

#define FIRST_COLOR      2
#define NUM_COLORS       7

#define WALL_COLOR       1
#define YELLOW_COLOR     2
#define RED_COLOR        3
#define GREEN_COLOR      4
#define BLUE_COLOR       5
#define WHITE_COLOR      6
#define CYAN_COLOR       7
#define PURPLE_COLOR     8

//----------------------------------------------------------------------------
//----------------------------------------------------------------------------

#endif
